## GstVaapiImagePool GstVaapiImagePool — VA image pool |

## Functions

GstVaapiVideoPool * | gst_vaapi_image_pool_new ()

## Types and Values

| GstVaapiImagePool

## Description

## Functions

### gst_vaapi_image_pool_new ()

    GstVaapiVideoPool *
    gst_vaapi_image_pool_new (GstVaapiDisplay *display,
                              const GstVideoInfo *vip);

Creates a new GstVaapiVideoPool of GstVaapiImage with the specified format and dimensions in `vip` .

#### Parameters

display | a GstVaapiDisplay |
vip | the GstVideoInfo |

#### Returns

the newly allocated GstVaapiVideoPool

## Types and Values

### GstVaapiImagePool

    typedef struct _GstVaapiImagePool GstVaapiImagePool;

A pool of lazily allocated GstVaapiImage objects.